Page MenuHomePhabricator

Prepare Wikimedia's participation in Google Code-In
Closed, ResolvedPublic

Event Timeline

Aklapper created this task.Oct 7 2014, 3:39 PM
Aklapper updated the task description. (Show Details)
Aklapper raised the priority of this task from to Normal.
Aklapper claimed this task.
Aklapper added a project: Developer-Advocacy.
Aklapper changed Security from none to None.
Aklapper raised the priority of this task from Normal to High.Oct 20 2014, 5:33 PM

One task once GCI for 2014 is announced: Move https://www.mediawiki.org/wiki/Google_Code-in (2013) out of the way (split content into 2013 subpage and generic frontpage) by copying the structure of (sub)pages we have for OPW and GSoC: https://www.mediawiki.org/wiki/FOSS_Outreach_Program_for_Women and https://www.mediawiki.org/wiki/Summer_of_Code

So I'm contacting Wikimedia dev teams to please go through their list of Bugzilla tickets and mark open tickets with the "easy" keyword which are "self-contained, non-controversial issues with a clear approach which are recommended to try for new developers."

Qgil added a subscriber: Qgil.Oct 25 2014, 10:03 PM

Details announced today: T764#15252

Qgil added a subscriber: siebrand.Oct 25 2014, 10:06 PM
Qgil added a comment.Oct 25 2014, 10:16 PM

This time we need to create a Google Form to introdeuce the pre-Melange tasks. From there export to CVS. Then if/when we are accepted, we can upload the CVS.

So I'm contacting Wikimedia dev teams to please go through their list of Bugzilla tickets and mark open tickets with the "easy" keyword which are "self-contained, non-controversial issues with a clear approach which are recommended to try for new developers."

I'm willing to do this for issues tagged "i18n", and I'm totally committed to investing serious time in helping to made GCI a success for Wikimedia and participants.

Qgil updated the task description. (Show Details)Oct 26 2014, 12:49 AM
Qgil awarded a token.Oct 26 2014, 7:54 PM
  • DONE: GCI 2014 organization application form filled out for Wikimedia and submitted (It said "Data saved successfully." but I don't 100% trust Google Melange, as it also tells me "Your Student ID and/or Parental Consent forms have not been verified yet.")
Qgil added a comment.EditedNov 3 2014, 2:51 PM

We need a #Google-Code-in tag, right?

  • I've spammed several mailing lists (pywikipedia-l@lwo, mediawiki-i18n@, multimedia@, wikitext-l@, wikidata-l@, qa@, analytics@, labs-l@, mobile-l@) also providing URLs to their latest Bugzilla tickets, existing tickets marked as "easy" in their fields, and open tickets from GCI2013. Kiwix folks have contacted me via email to express interest in GCI2014 and Pywikibot folks expressed interest on the GCI2014 talk page.
  • Discussed with Quim how (much) to reach out to gadget community, TemplateData, Village Pumps etc.
In T561#18057, @Qgil wrote:

We need a #Google-Code-in tag, right?

Would probably be a good idea if we define it as "GoogleCode-in tasks that are already listed on Wikimedia's Google Code-in planning page or in Google Melange" to avoid random usage as "potential candidates that have no mentor defined" (that would be pretty much covered by good first bug already IMO).

Google-Code-in-2014 ?

Qgil added a comment.Nov 4 2014, 2:14 PM

Sounds good.

Aklapper moved this task from Backlog to Doing on the ECT-November-2014 board.Nov 4 2014, 3:41 PM
Qgil added subscribers: Palexis, MarkAHershberger.EditedNov 9 2014, 10:42 PM

https://www.mediawiki.org/wiki/Google_Code-in_2014#Category:_Outreach.2FResearch is still empty. I wonder whether some work could be done in this direction:

I'm not saying the students should complete these tasks. I'm just wondering whether subtasks with the size and complexity of Google Code-in could be extracted.

@Palexis, @MarkAHershberger, what do you think? We hope to have hundreds of potential students willing to complete a microtask or two for you.

@Qgil, this is a wonderful idea! We do have research tasks that we can use additional help with. Will work on it now.

  • DONE: Google-Code-in-2014 project created in Phabricator
  • TODO: Add existing GCI tasks in Phabricator to Google-Code-in-2014 project
  • TODO: Send announcement email to wikitech-l@, ask for more tasks
  • TODO: ask mentors to register in Melange
  • TODO: Update wikipage to say that tasks should be created in Melange directly
  • TODO: Import tasks fom wikipage into Melange
  • TODO: After Bugzilla data import, add existing GCI tasks which were in Bugzilla to Google-Code-in-2014 project in Phabricator
  • DONE: pinged again on Multimedia ml
  • DONE: replied to QA asking to define mentors (private thread)
  • Started trying to accept "connections" (=mentors) in Google Melange but system does not allow assigning a role (yet?)...
  • DONE: Sorted out how to make people Wikimedia mentors in Google Melange. Nice bug...
  • DONE: Sent a "Please register in Google Melange for GCI 2014" with instructions to those mentors who have not registered in Melange yet
  • DONE: Imported all tasks from wikipage into Melange
Aklapper lowered the priority of this task from High to Normal.Nov 17 2014, 1:01 PM
This comment was removed by Palexis.

@Palexis: Please see https://www.mediawiki.org/wiki/Google_Code-in_2014#Mentors.27_corner and send me a private email to aklapper@wm.o if you need any help. Thank you!

Many folks registered but we really need more tasks until December 1st.
Need to run another recruitment round.

If you have tasks or mentors in mind, don't hesitate and add them!

Aklapper closed this task as Resolved.

While we must continue doing outreach and finding more mentors and tasks (24 mentors, ~200 tasks; last year we ended up with ~30 mentors and 273 tasks), regarding preparation, I think that Wikimedia is in an acceptable position.
So I'm closing this task.

Still need to go through the items in this ticket and consolidate them; created T76271 for that.